com.pixelmed.test

## Class TestCTDose

- java.lang.Object
- - TestCase
  - - com.pixelmed.test.TestCTDose

-     public class TestCTDose
      extends TestCase

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestCTDose(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `setUp()`
    `static Test` | `suite()`
    `protected void` | `tearDown()`
    `void` | `testCTDoseConstructor_PropagationOfDescriptionToAttributeList_DoesNotOverwriteIfStudyDescriptionAlreadyInCompositeInstanceContext()`
    `void` | `testCTDoseConstructor_PropagationOfDescriptionToAttributeList_IfNoStudyDescriptionInCompositeInstanceContext()`
    `void` | `testCTDoseConstructor_WithAllParameters()`
    `void` | `testCTDoseConstructor_WithAllParametersAndThreeAcquisitionsInTwoSeries()`
    `void` | `testCTDoseConstructor_WithOneAcquisitionsAndNoTotalDLP()`
    `void` | `testCTDoseConstructor_WithSeparateHeadAndBodyAcquisitions()`
    `void` | `testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPConstructor()`
    `void` | `testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPSet()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestCTDose

          public TestCTDose(java.lang.String name)

  - ### Method Detail

    - #### suite

          public static Test suite()

    - #### setUp

          protected void setUp()

    - #### tearDown

          protected void tearDown()

    - #### testCTDoseConstructor_WithAllParameters

          public void testCTDoseConstructor_WithAllParameters()
                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCTDoseConstructor_WithAllParametersAndThreeAcquisitionsInTwoSeries

          public void testCTDoseConstructor_WithAllParametersAndThreeAcquisitionsInTwoSeries()
                                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCTDoseConstructor_WithOneAcquisitionsAndNoTotalDLP

          public void testCTDoseConstructor_WithOneAcquisitionsAndNoTotalDLP()
                                                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCTDoseConstructor_PropagationOfDescriptionToAttributeList_IfNoStudyDescriptionInCompositeInstanceContext

          public void testCTDoseConstructor_PropagationOfDescriptionToAttributeList_IfNoStudyDescriptionInCompositeInstanceContext()
                                                                                                                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCTDoseConstructor_PropagationOfDescriptionToAttributeList_DoesNotOverwriteIfStudyDescriptionAlreadyInCompositeInstanceContext

          public void testCTDoseConstructor_PropagationOfDescriptionToAttributeList_DoesNotOverwriteIfStudyDescriptionAlreadyInCompositeInstanceContext()
                                                                                                                                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPConstructor

          public void testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPConstructor()
                                                                                throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPSet

          public void testCTDoseConstructor_WithSeparateHeadAndBodyTotalDLPSet()
                                                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testCTDoseConstructor_WithSeparateHeadAndBodyAcquisitions

          public void testCTDoseConstructor_WithSeparateHeadAndBodyAcquisitions()
                                                                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`